Get the calling principal
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/principal \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/principal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/principal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/principal")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/principal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/principal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "principal",
"type": "api-key",
"partnerId": 1069,
"partnerSlug": "example-transit",
"isProvider": false,
"isConsumer": true,
"apiKeyId": 12017,
"apiKeyName": "Redemption service",
"environment": "test",
"userId": null,
"effectivePermissions": [
"view-profile",
"view-consumer-catalog",
"create-consumer-redemptions",
"view-consumer-redemptions"
],
"apiAccessStatus": "active",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/principal",
"type": "application/json"
}
}
}
}Partner
Get the calling principal
Shows which partner, environment and permissions the credential has. Call it first to check a new API key.
Required permissions: view-profile · API keys: allowed
GET
/
partner
/
v1
/
principal
Get the calling principal
curl --request GET \
--url https://api.voucher-staging.allride.io/partner/v1/principal \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/partner/v1/principal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/partner/v1/principal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/partner/v1/principal")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/partner/v1/principal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/partner/v1/principal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"resource": "principal",
"type": "api-key",
"partnerId": 1069,
"partnerSlug": "example-transit",
"isProvider": false,
"isConsumer": true,
"apiKeyId": 12017,
"apiKeyName": "Redemption service",
"environment": "test",
"userId": null,
"effectivePermissions": [
"view-profile",
"view-consumer-catalog",
"create-consumer-redemptions",
"view-consumer-redemptions"
],
"apiAccessStatus": "active",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/partner/v1/principal",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Response
OK
Single-object envelope around a Principal.
Who is calling: partner, environment and permissions of the credential.
Show child attributes
Show child attributes